"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _GitHub = _interopRequireDefault(require("@material-ui/icons/GitHub"));

var _materialUiPack = require("material-ui-pack");

var _react = _interopRequireDefault(require("react"));

var _Button = _interopRequireDefault(require("./Button"));

var _AlertExample = _interopRequireDefault(require("./examples/AlertExample"));

var _ButtonExample = _interopRequireDefault(require("./examples/ButtonExample"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function App() {
  const {
    createMuiThemeWithDarkMode
  } = (0, _materialUiPack.useDarkMode)();
  const theme = createMuiThemeWithDarkMode({
    palette: {
      primary: {
        main: "#0080ff"
      },
      secondary: {
        main: "#69757d"
      }
    }
  });
  return _react.default.createElement(_core.ThemeProvider, {
    theme: theme
  }, _react.default.createElement(_core.Container, {
    maxWidth: "md"
  }, _react.default.createElement(_core.CssBaseline, null), _react.default.createElement("br", null), _react.default.createElement(_core.Grid, {
    container: true,
    justify: "space-between"
  }, _react.default.createElement(_core.Grid, null, _react.default.createElement(_core.Typography, {
    variant: "h3",
    component: "h1"
  }, "material-ui-bootstrap"), _react.default.createElement("code", null, "npm install material-ui-bootstrap"), _react.default.createElement("br", null), _react.default.createElement("br", null), _react.default.createElement(_materialUiPack.DarkModeToggle, null)), _react.default.createElement(_core.Grid, null, _react.default.createElement(_Button.default, {
    startIcon: _react.default.createElement(_GitHub.default, null),
    color: "secondary",
    variant: "contained",
    href: "https://github.com/claytonfbell/material-ui-bootstrap"
  }, "GitHub"))), _react.default.createElement("br", null), _react.default.createElement(_core.Paper, {
    style: {
      padding: 20
    },
    elevation: 4
  }, _react.default.createElement(_core.Typography, {
    variant: "h4",
    component: "h2"
  }, "Button"), _react.default.createElement(_ButtonExample.default, null)), _react.default.createElement("br", null), _react.default.createElement("br", null), _react.default.createElement(_core.Paper, {
    style: {
      padding: 20
    },
    elevation: 4
  }, _react.default.createElement(_core.Typography, {
    variant: "h4",
    component: "h2"
  }, "Alert"), _react.default.createElement("br", null), _react.default.createElement(_AlertExample.default, null))));
}

var _default = () => _react.default.createElement(_materialUiPack.DarkModeProvider, null, _react.default.createElement(App, null));

exports.default = _default;